/************************************************************************************************
**  PROGRAM - Various                                      *  AUTHOR: Jerry Baldwin            **
**  Started - 10/12/13                                     *                                   **
**  Finished - 07/05/2017                                  **************************************
**  Last Edit Date & Time - 21:00  07/05/2017                                                  **
**  Purpose - Allegro library initialization                                                   **
*************************************************************************************************/
#include <allegro.h>
#include <iostream>
using namespace std;

int a_init()
{
    if(allegro_init()!=0)
    {
    cout<<"Unable to initialize Allegro. "<<endl;
    return 1;
    }

    if(install_keyboard() !=0)
    {
    cout<<"Unable to initialize Allegro Keyboard. "<<endl;
    return 2;
    }
    set_color_depth(32);
    if(set_gfx_mode(GFX_AUTODETECT,640, 480, 0, 0) != 0)
    {
    cout<<"Unable to initialize Graphics Mode. "<<endl;
    return 3;
    }
    if(install_timer() !=0)
    {
    cout<<"Unable to initialize Allegro Timer. "<<endl;
    return 4;
    }

    if(install_sound(DIGI_AUTODETECT, MIDI_NONE, "")!=0)
    {
    cout<<"Unable to initialize Allegro Sound. "<<endl;
    }

return 0;

} /* End a_inti() */
